summaryrefslogtreecommitdiff
path: root/servant-client-core.cabal
diff options
context:
space:
mode:
Diffstat (limited to 'servant-client-core.cabal')
-rw-r--r--servant-client-core.cabal15
1 files changed, 8 insertions, 7 deletions
diff --git a/servant-client-core.cabal b/servant-client-core.cabal
index 3d1055d..bb684c2 100644
--- a/servant-client-core.cabal
+++ b/servant-client-core.cabal
@@ -1,6 +1,6 @@
cabal-version: >=1.10
name: servant-client-core
-version: 0.17
+version: 0.18
synopsis: Core functionality and class for client function generation for servant APIs
category: Servant, Web
@@ -21,7 +21,8 @@ tested-with:
|| ==8.2.2
|| ==8.4.4
|| ==8.6.5
- || ==8.8.2
+ || ==8.8.3
+ || ==8.10.1
, GHCJS == 8.4
extra-source-files:
@@ -55,13 +56,13 @@ library
--
-- note: mtl lower bound is so low because of GHC-7.8
build-depends:
- base >= 4.9 && < 4.14
+ base >= 4.9 && < 4.15
, bytestring >= 0.10.8.1 && < 0.11
, containers >= 0.5.7.1 && < 0.7
, deepseq >= 1.4.2.0 && < 1.5
, text >= 1.2.3.0 && < 1.3
, transformers >= 0.5.2.0 && < 0.6
- , template-haskell >= 2.11.1.0 && < 2.16
+ , template-haskell >= 2.11.1.0 && < 2.17
if !impl(ghc >= 8.2)
build-depends:
@@ -69,12 +70,12 @@ library
-- Servant dependencies
build-depends:
- servant >= 0.17 && <0.18
+ servant >= 0.18 && <0.19
-- Other dependencies: Lower bound around what is in the latest Stackage LTS.
-- Here can be exceptions if we really need features from the newer versions.
build-depends:
- aeson >= 1.4.1.0 && < 1.5
+ aeson >= 1.4.1.0 && < 1.6
, base-compat >= 0.10.5 && < 0.12
, base64-bytestring >= 1.0.0.1 && < 1.1
, exceptions >= 0.10.0 && < 0.11
@@ -104,7 +105,7 @@ test-suite spec
, base-compat
, servant-client-core
- -- Additonal dependencies
+ -- Additional dependencies
build-depends:
deepseq >= 1.4.2.0 && < 1.5
, hspec >= 2.6.0 && < 2.8